Package org.apache.lucene.store

# Class OutputStreamDataOutput

java.lang.Object
org.apache.lucene.store.DataOutput
org.apache.lucene.store.OutputStreamDataOutput

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class OutputStreamDataOutput extends DataOutput implements Closeable
A `DataOutput` wrapping a plain `OutputStream`.

## Constructor Summary

Constructors
Constructor
Description
`OutputStreamDataOutput(OutputStream os)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`writeByte(byte b)`
Writes a single byte.
`void`
`writeBytes(byte[] b, int offset, int length)`
Writes an array of bytes.

### Methods inherited from class org.apache.lucene.store.DataOutput

`copyBytes, writeBytes, writeGroupVInts, writeInt, writeLong, writeMapOfStrings, writeSetOfStrings, writeShort, writeString, writeVInt, writeVLong, writeZInt, writeZLong`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OutputStreamDataOutput

public OutputStreamDataOutput(OutputStream os)

## Method Details

### writeByte

public void writeByte(byte b) throws IOException
Description copied from class: `DataOutput`
Writes a single byte.

The most primitive data type is an eight-bit byte. Files are accessed as sequences of bytes. All other data types are defined as sequences of bytes, so file formats are byte-order independent.

Specified by:
  `writeByte` in class `DataOutput`
Throws:
  `IOException`
See Also:
  - `DataInput.readByte()`

### writeBytes

public void writeBytes(byte[] b, int offset, int length) throws IOException
Description copied from class: `DataOutput`
Writes an array of bytes.

Specified by:
  `writeBytes` in class `DataOutput`
Parameters:
  `b` - the bytes to write
  `offset` - the offset in the byte array
  `length` - the number of bytes to write
Throws:
  `IOException`
See Also:
  - `DataInput.readBytes(byte[],int,int)`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`